<template>
    <div class="box__day--element" @mouseover="showModal = true" @mouseleave="showModal = false" >
        <circle-progress-chart :chart_data="chart_data"></circle-progress-chart>
        <div class="box-modalAbsolute" :class="{openModal: showModal}" :style="modalStyles">
            <div class="box-elementAbsolute">
                <p class="text-replenish">{{ $t('dashboard.daily.refill') }} <span>$ {{ Number.parseFloat(day.refills).toFixed(2) }}</span></p>
                <div class="box-linePurple">
                    <span class="purple" :style="{width: day.profit_percent >= 0 ? preparePercent(day.profit_percent)+'%' : (100 - preparePercent(day.profit_percent))+'%' }"></span>
                </div>
            </div>
            <div class="box-elementAbsolute">
                <p class="text-replenish">{{ $t('dashboard.daily.withdrawn') }} <span class="red">$ {{ Number.parseFloat(day.withdraws).toFixed(2) }}</span></p>
                <div class="box-linePurple">
                    <span class="red" :style="{width: day.profit_percent <= 0 ? preparePercent(day.profit_percent)+'%' : (100 - preparePercent(day.profit_percent))+'%' }"></span>
                </div>
            </div>
            <div class="box-canvas-number">
                <div class="canvasLeft">
                    <circle-progress-chart :chart_data="chart_data"></circle-progress-chart>
                </div>
                <div class="numberRight">
                    <p class="text-green" :style="style_profit">{{ sign_profit }} $ {{ Math.abs(Number.parseFloat(day.refills).toFixed(2)) }} </p>
                    <p class="text-green" :style="style_profit">{{ sign_profit }} {{ preparePercent(day.profit_percent) }}% </p>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
	import chart_colors from "./chart_colors";
    import CircleProgressChart from "./CircleProgressChart";

    export default {
		name: "DayChart",
        props: ['day', 'index'],
        data(){
		    return {
                series: [0, 100],
                showModal: false,
            };
        },
		computed: {
			sign_profit(){
				if(this.day.profit_percent > 0){
					return '+';
				}else if(this.day.profit_percent < 0){
					return '-';
				}else{
					return '';
				}
			},
			style_profit(){
				if(this.day.profit_percent > 0){
					return {
						color: '#3ac666'
					};
				}else if(this.day.profit_percent < 0){
					return {
						color: '#f54a5b'
					};
				}else{
					return {
						color: '#393939'
					};
				}
			},
            chart_data(){
			    return [
                    {
                        value: this.preparePercent(this.day.profit_percent),
                        name: '',
                        itemStyle: {
                            color: this.day.profit_percent > 0 ? chart_colors.green_gradient : chart_colors.red_gradient
                        }
                    },
                    {
                        value: 100 - this.preparePercent(this.day.profit_percent),
                        name: '',
                        itemStyle: {
                            color: chart_colors.gray
                        }
                    },
                ];
            },
			modalStyles(){
				return {
					'left': (this.index + 1) % 5 === 0 ? '-80px' : '-40px'
				}
			}
		},
        methods: {
		    preparePercent(value){
		        return Math.min(100, Math.abs(value).toFixed(2));
            }
        },
        components: {
		    CircleProgressChart
        }
	}
</script>

<style scoped>

</style>
